/***************************************************************************
 *   Copyright (C) 2005-2009 by Hannes Hauswedell                          *
 *   kports@soulrebel.in-berlin.de                                         *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 3 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef __KPORTSUPDATEVIEW_H__
#define __KPORTSUPDATEVIEW_H__

#include "ui_kportsupdateview.h"
#include <QWidget>
#include "runcmd.h"


class KPortsUpdateView : public QWidget, public Ui::KPortsUpdateView
{
Q_OBJECT
private:
    BGRunnerInstantOut* umaProc;
    bool    umaIsRunning;
    QString umaLog;

    QString clearPortsnapLog;
    QString clearPortsLog;
    QString portsnapLog;
public:
    KPortsUpdateView(QWidget* parent);

    void reset();
public slots:
    void commitButtonClicked();
    void cancelButtonClicked();
//     void umaOutput(const QString&);
//     void umaFinished(int, QProcess::ExitStatus);
    void clearPortsnapState(int, const QString&);
    void clearPortsState(int, const QString&);
    void portsnapState(int, const QString&);    
signals:
    void done();

};

#endif //ndef __KPORTSUPDATEVIEW_H__
